Structural Grid Component
-
Hey Guys,
I am making a structural grid component.
My grid lines are repeated by a COPY command inside component attributes .
Just wondering is there a way to insert letters and numbers into grid markers.- 1, 2, 3, 4, …. for horizontal lines
- A, B, C, D …. for vertical
So every COPY of a grid will have next number or letter.
Cheers
-
Thought image will help....
-
Not that I know if, mate. I've done up a simple SU file containing grids that I can insert and use for each job.
What is the centrerline you've drawn there?
-
@artpen said:
Hey Guys,
I am making a structural grid component.
My grid lines are repeated by a COPY command inside component attributes .
Just wondering is there a way to insert letters and numbers into grid markers.- 1, 2, 3, 4, …. for horizontal lines
- A, B, C, D …. for vertical
So every COPY of a grid will have next number or letter.
Cheers
Doubtfully the answer to your question but may give you an idea.
mod = Sketchup.active_model ent = mod.active_entities sel = mod.selection ci=sel.first; ci.make_unique ents=ci.definition.entities p0=ci.bounds.corner(2).transform ci.transformation.inverse width=ci.bounds.width height=ci.bounds.height number='1'; dist=0; inc=24 0.upto(width/inc) do p1=p0.offset(X_AXIS,dist) p2=p1.offset(Y_AXIS,-height) ents.add_cline(p1,p2) ents.add_text(number,p1.offset(Y_AXIS,6)) number = number.next dist += inc end letter='A';dist=0;inc=24 0.upto(height/inc) do p1=p0.offset(Y_AXIS,-dist) p2=p1.offset(X_AXIS,width) ents.add_cline(p1,p2) ents.add_text(letter,p1.offset(X_AXIS,-6)) letter = letter.next dist += inc end
-
Thats great. Can you make it work with millimeter?
-
Advertisement